import { MicroEditorBase } from "../../../Views/editor/MicroEditorBase.js";
export declare class IntegerEditor extends MicroEditorBase {
    private get inputNode();
    private get inputValue();
    private get inputRawValue();
    template(): string | Array<string> | JQuery;
    focus(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
}
